# &konsole;-håndbogen

Jonathan
Singer

    jsinger@leeta.net

Stephan
Binner

    Stephan.Binner@gmx.de

Vedligeholder
Michael
McBride
Tester

    mmcbride@ematic.com

Lauri
Watts
Tester

    lauri@kde.org

Erik Kjær
Pedersen

    erik@binghamton.edu

Oversætter
2000
2001
2002
Jonathan Singer
&FDLNotice;
2001-12-25
1.10.00

Dette dokument er brugervejledningen for &konsole;-programmet.

&konsole; er en X terminalemulator for &kde;

KDE
konsole
kdebase
kommando
linje

## Introduktion til &konsole;

### Hvad er en terminal?

&UNIX; operativsystemerne blev oprindeligt designet som tekstsystemer, kontrolleret af tastaturkommandoer -- hvilket er kendt som et 'command-line interface' (CLI). &X-Window; og &kde; og andre projekter har siden tilføjet den grafiske brugerflade, du bruger nu. Det underliggende CLI-system er der imidlertid stadigvæk, og er ofte den nemmeste, hurtigste og mest effektive måde at udføre mange opgaver.

&konsole; er det der omtales som en X terminalemulator, og ofte refereres til som en terminal eller en skal. Den giver dig det ækvivalente til en gammeldags tekstskærm på dit skrivebord, men et der nemt kan dele skærmen med dine grafiske programmer. Windows-brugere er muligvis bekendte med MS-DOS Prompt-redskabet, som har den analoge funktion af at tilbyde en DOS kommandolinje under &Windows;. (Selvom &UNIX; CLI'er giver langt mere styrke og nemhed i brug end DOS!)

En forklaring af brugen af &UNIX; CLI går ud over dette dokuments rækkevidde, da det ville kræve en længere bog. Der er heldigvis mange sådanne bøger tilgængelige på hvert sprog i enhver god boghandel eller på biblioteker. Der er også øvelser tilgængelige på internettet. Nyd &kde;, men hold dig ikke tilbage fra at lære at bruge kommandolinjen! Du vil finde at blot det at lære de basale ting, vil gøre din computer-brug meget mere effektiv og sjov.

### Hvad gør &konsole; speciel?

&konsole;'s avancerede egenskaber inkluderer simpel indstilling og evnen til at bruge flere skaller i et enkelt vindue, hvilket giver et mindre rodet skrivebord.

Ved brug af &konsole;, kan en bruger åbne:

- &Linux; konsolsessioner

- Skal-sessioner

- Skærm-sessioner

- Midnight Commander filhåndterings-sessioner

- Root konsolsessioner

- Root Midnight Commander sessioner

Disse sessioner kan omdøbes for at hjælpe dig med at holde styr på alle dine skaller, eller signaleres (STOP, CONT, HUP, INT, TERM, KILL).

For mere kontrol over &konsole;, kan en bruger:

- skjule/vise menulinjen, værktøjslinjen, rullebjælken og/eller rammen

- vælg størrelsen af et &konsole;-vindue, skrifttyper, farvesammensætninger og tastebinding

- ændr placeringen af rullebjælken eller skjul rullebjælken

Alle valgte indstillinger kan gøres til standard for de næste sessioner ved at gemme dem.

For dem med en dyb interesse i udviklingen af frie X-terminaler, er der to andre af denne slags: xterm, den oprindelige, skrevet før X selv (en måned eller to), og xvt, en letvægts xterm-klon, på hvilken de fleste andre aktuelt tilgængelige afledte (specielt eterm) er baserede.

Efter cirka 10 år er &konsole; den første genskrivning nede fra og op. Mens xterm bestemt er blevet hakket til døde (dens `README` starter med ordene Opgiv al håb, du som kommer her ind), tilbyder &konsole; en frisk start der bruger nutidig teknologi og forståelse af X.

## Brug af &konsole;

### Opstart

Når &konsole; startes, kører et program (typisk en &UNIX;-skal) i vinduet. Skriv simpelthen ved prompten.

&konsole;-skærm
&konsole;-skærm

Et "Dagens vink"-vindue kommer muligvis også frem ved opstart, der tilbyder råd angående brugen af &konsole;. Hvis du ikke ønsker at modtage disse råd, så fjern krydset i Vis ved start-boksen.

### Historik

Når linjerne ruller ud over toppen af skærmen, kan de ses igen ved at flytte rullebjælken opad, eller gennem brug af &Shift;Page Up (for at gå en side tilbage), &Shift;Page Down (for at gå en side frem), &Shift;Op (for at gå en linje tilbage) og &Shift;Ned (for at gå en linje frem) taster (hvis eller "Historik"-tilvalget er slået til).

### Museknapper

Venstre

  Klik med venstre knap bliver sendt videre som en begivenhed i programmet der kører i emuleringen, hvis det er bruger musen. Hvis et program reagerer på museklik, vil &konsole; indikere dette ved at vise en markør som en pil. Ellers vises en bjælkemarkør.

  Ved at holde venstre knap nede og trække musen hen over skærmen med et program der ikke bruger mus kørende, vil et område af teksten blive markeret. Mens der trækkes, bliver den markerede tekst vist omvendt for visuel tilbagemelding. Når der gives slip på knappen, bliver den markerede tekst kopieret til klippebordet til yderligere brug indenfor &konsole; eller et andet program. Den valgte tekst kan også trækkes og slippes ind i kompatible programmer. Klik på den valgte tekst og træk den til det ønskede sted.

  Normalt bliver ny-linje-tegn indsat ved slutningen af hver linje der er valgt. Dette er det bedste for klip og indsætning af kildekode, eller uddata fra en bestemt kommando. Til almindelig tekst, er linjebrud ofte ikke så vigtige. Man vil måske endda foretrække, at teksten skal være en strøm af tegn der automatisk bliver om-formateret når den indsættes i et andet program. For at vælge tekst-strømme-tilstand, holdes &Ctrl;-tasten nede samtidig med at teksten bliver valgt på sædvanlig måde.

  Hvis den øvre eller nedre kant af tekstområdet røres mens der markeres, ruller &konsole; op eller ned, så al teksten i historik-buffer kommer frem før eller siden. Rulningen standser når musen holder op med at bevæge sig.

  Efter der er givet slip på musen, forsøger &konsole; at holde teksten i klippebordet synlig ved at lade det markerede område være omvendt. Det markerede område vender tilbage tildet normale så snart indholdet af klippebordet ændres, teksten indenfor det markerede område bliver ændret eller der klikkes med venstre museknap.

  For at markere tekst med et musefølsomt program skal &Shift;-tasten holdes nede mens der klikkes.

Midten

  Ved at trykke den midterste museknap nede indsættes dentekst der er i klippebordet. Ved at holde &Ctrl;-tasten nede mens du trykker på den midterste knap indsættes teksten og den sendes til &konsole;.

  Hvis du har en mus der kun har to knapper, vildet at trykke både venstre og højre museknapper ned samtidigt emulere den midterste knap på en mus med tre knapper.

Højre

  Højre knap får en menu frem med menupunkterne Vis menulinje, Indsæt, Send signal, Omdøb session, Opsætning og Luksession. &Ctrl; højre knappen får Session-menuen frem.

### Menulinjen

Menulinjen er for oven i &konsole;-vinduet. Den kan skjules og genoprettes ved at slå Vis menulinje i Opsætnings-menuen til og fra. Når menulinjen er skjult, kan Vis menulinje nåes ved at højre klikke i vinduet eller ved &Alt;&Ctrl;M .

#### Opsætningsmenuen

Session Ny skal

  Åbner en ny session med en terminal-skal. &Alt;&Ctrl;N kan også bruges, som beskrevet i detalje nedenfor.

Session Ny skærmsession

  Åbner en ny session med Skærmens virtuelle terminalhåndtering. Se ``man` `screen`` for yderligere oplysninger.

Session Ny root-konsol

  Åbner en ny session med en terminalskal, som root-brugeren.

  Efter at være blevet bedt om root-kodeordet, kommer # tegnet frem, hvilket indikerer at brugeren arbejder med root privilegier. Dette er ofte nødvendigt for at installere ny software og for anden systemvedligeholdelse, men der skal passes på for at undgå uheld ved et tilfælde.

Session Ny 'Midnight Commander'

  Åbner en ny session med Midnight Commander grafisk filsøger.

Session Ny Linux-konsol

  Åbner en ny session der emulerer et rent tekst &Linux;-system.

  Se filen `README.linux.console` i &konsole; kildepakken for oplysninger om hvordan &Linux;-konsollen er anderledes end en typisk &UNIX;-konsol. Hvis dette ikke betyder noget for dig, bør du næsten helt sikkert ikke bekymre dig om det.

Session Ny root 'Midnight Commander'

  Åbner en ny session med Midnight Commander grafiske filsøger, som root-brugeren.

  Efter at være blevet bedt om root's kodeord, vil #-tenget vise sig under søgevinduet, hvilket indikere at brugeren arbejder med root-privilegier. Igen, det at arbejde som root er ofte nødvendigt men man skal passe på for at undgå at gøre skade.

Session Luk session

  Lukker den aktuelle session.

Session Afslut

  Afslutter &konsole;, og lukker alle sessioner og alle programmer der er blevet startet fra dem.

Du kan også åbne en ny session med en tastaturgenvej. Som standard bruges &Alt;&Ctrl;N . Du kan også definere dine egne tastaturgenveje til at starte en ny terminalsession. Filerne med en `*.keytab`-endelse i `$`KDEDIR`/share/apps/konsole` definerer tastaturgenveje.

For eksempel ved at tilføje definitionen: `key F12 + Shift : newSession` til de aktive keytab-filer kan man få en ny skal til at starte ved at trykke på &Shift;F12. Brug Opsætning Tastatur menukommandoen til at vælge en keytab-fil. Filen `README.KeyTab` indeholder mere information om at definere genveje.

Bemærk endeligt at sessionstyperne kan ændres, og nye typer laves, ved at bruge &kcontrolcenter;-modulet System Konsole.

#### Redigér-menuen

Redigér Indsæt

  Indsætter tekst fra klippebordet ved markørens position.

Redigér Send signal

  Send signal - Sender det angivne signal til skalprocessen, eller en anden proces, der blev startet da den nye session blev startet.

  Aktuelt tilgængelige signaler er:

  STOP | For at standse processen
  CONT | fortsæt hvis standset
  HUP | ophængning detekteret på kontrollerende terminal, eller død af kontrollerende proces
  INT | interrupt fra tastatur
  TERM | terminationssignal
  KILL | dræbesignal

  Referér til dit systems manualsider for yderligere detaljer ved at give kommandoen ``man` `7 signal``.

Redigér Find i historik

  Finder et ord eller en streng med tekst i den aktuelle historik. Tilvalg tillader versalfølsom eller baglæns søgninger.

Redigér Gem historik som

  Gemme der aktuelle historik som en tekstfil.

Redigér Ryd historik

  Rydder historikken for den aktuelle session.

Redigér Ryd alle historikker

  Ryd historikker for alle sessioner.

#### Vis-menuen

Vis Omdøb session

  Åbner en dialogboks der tillader dig at ændre navnet på den aktuelle session. Navnet vises i sessionens faneblad. &Alt;&Ctrl;S kan også bruges.

Vis Overvåg for aktivitet

  Giver den aktuelle session et flag så den vil give en advarsel hvis der er aktivitet. En ikon med en tændt lyspære vil vise sig i sessionens faneblad. Brug dette til at gøre dig opmærksom på at der sker noget men du arbejder i en anden session.

Vis Overvåg for stilhed

  Giver den aktuelle session et flag, så den vil advare hvis der ingen aktivitet er i mere end 10 sekunder. En ikon som en mørk lyspære vil vise sig i sessionens faneblad. Brug dette til at gøre dig opmærksom på at en opgave stopper mens du arbejder i en anden session.

Vis Send inddata til alle sessioner

  Giver den aktuelle session et flag så enhver kommando der indtastes i den vil blive sendt til alle sessioner. Sessionen vil få en lille ikon i sit faneblad for at minde dig om at passe på med det du indtaster! ``rm` `-rf *``, for eksempel, er nok ikke en god idé.

Vis Flyt session til venstre

  Flytter fanebladet for den aktuelle session et faneblad til venstre.

Vis Flyt session til højre

  Flytter fanebladet for den aktuelle session et faneblad til højre.

  &Shift; Venstre og &Shift; Højre kan også bruges til at flytte mellem sessioner.

Vis Sessionsikoner...

  For neden i menuen er der en liste af tilgængelige sessioner. Valg af én gør den aktiv.

  Du kan også bruge &Shift;Venstre/&Shift;Højre tasterne til at cykle gennem de tilgængelige sessioner.

#### Opsætningsmenuen

Opsætning Vis menulinje

  Viser eller skjuler menulinjen.

Opsætning Vis værktøjslinje

  Viser eller skjuler opgavelinjen.

Opsætning Rullebjælke

  Kontrollere placeringen af rullebjælken: ingen, venstre, eller højre.

Opsætning Fuldskærm

  Skifter mellem at vinduet fylder hele skærmen eller er af normal størrelse.

Opsætning Klokke

  Sætter systemklokken til en &kde; systembekendtgørelse eller synligt glimt, eller slår det fra.

Opsætning Skrifttype

  Sætter skrifttype og skriftstørrelse

  Vælg af Tilpasset for at bruge en vilkårlig kombination af skrifttype, størrelse og stil. `README.fonts`-filen i &konsole;'s kildepakke giver vink om hvilke skrifttyper der vil virke godt.

Opsætning Tastatur

  Vælger den ønskede tasteafbildning.

  Listen af disse tasteafbildninger er taget fra `$KDEDIR/share/apps/konsole/*.keytab`. Filen `$KDEDIR/share/apps/konsole/README.KeyTab` beskriver keytab-formatet i mere detalje. Tilføj til eller ændr disse filer for at matche dine behov.

Opsætning Farvesammensætning

  Sætter farver for teksten og baggrunden.

  Listen af disse farvesammensætninger er taget fra `$KDEDIR/share/apps/konsole/*.schema`. Filen `$KDEDIR/share/apps/konsole/README.Schema` beskriver schema-formatet i mere detalje. Tilføj til eller ændr disse filer efter behov. Du kan også lave tilpassede farvesammensætninger fra &kcontrolcenter;-modulet System Konsole.

Opsætning Størrelse

  Sætter størrelse af tekstområdet (givet i søjler x rækker).

Opsætning Historik...

  Åbner en dialog hvor du kan indstille historikken. Aktivér-afkrydsningsboksen skifter mellem at at gemme linjer der er røget ud over toppen af vinduet eller ej. Du kan indtaste Antal linjer der skal huskes i tekstfeltet, eller bruge drejeknapperne til at forøge eller formindske antallet i trin på 100 linjer. Standard-knappen vil nulstille historikken til 1000 linjer. Hvis du sætter denne værdi til 0 vil det få al historik til at blive gemt. Tryk på O.k. for at gemme dine ændringer, eller Annullér for at lukke dialogen uden at gemme dine ændringer. Hjælp-knappen vil åbne denne manual, og vise den tekst du læser lige nu.

Opsætning Gem opsætning

  Gemmer den aktuelle opsætning som den nye standard.

Opsætning Indstil &konsole;

  Åbner &kcontrolcenter;-modulet, der tillader at man laver mange flere ændringer af&konsole;'s grænseflade.

#### Hjælp-menuen

F1 Help Konsole-håndbogen

  Åbner dette dokuments indholdsfortegnelse.

Hjælp Dagens vink...

  Viser et nyttigt vink om brugen af &konsole;. Afkryds Vis ved start-boksen for at vise et godt råd hver gang &konsole; startes.

Hjælp Rapportér problem...

  Indsend en fejlrapport eller et ønske om en ny egenskab for &konsole;.

Hjælp Om Konsole...

  Information om &konsole;'s forfatter

Hjælp Om KDE...

  Information pm KDE-projektet

### Værktøjslinjen

Værktøjslinjen er for neden i &konsole;'s vindue.

Den kan skjules eller genoprettes ved at slå Vis værktøjslinje til og fra i Opsætning-menuen eller ved at klikke på det fremhævede håndtag ved siden af linjen. Linjen indeholder en Ny-ikon og ikoner for de aktuelle sessioner. Ved at klikke på Ny åbnes en ny Skal-session.

Dobbeltklik på et sessionsfaneblad åbner en dialogboks der gør dig i stand til at ændre navnet på den session. &Alt;&Ctrl;S kan også bruges til at omdøbe den aktive session.

Klik på en eksisterende sessions ikon gør denne session aktiv.

Når værktøjslinjen er skjult vil &Shift; Venstre og &Shift; Højre kunne bruges til at skifte mellem sessioner.

### Kommandolinje-tilvalg

Når &konsole; er startet fra kommandolinjen, er der forskellige tilvalg der kan angives til at ændre dens opførsel.

`--help`

  Liste af de forskellige tilvalg

`--name` `navn`

  Sætter navnet der vises i titellinjen

`--ls`

  Starter med et login-skal-miljø. Hvad det så gør afhænger af dit system, men generelt betyder det at filer såsom `~/.profile` eller `~/.bash_profile` vil blive læst. (Hvis dette ikke betyder noget for dig, så hold dig fra det, men husk det til det tidspunkt hvor du bliver klar over at du har brug for det.)

`-T` `titel`

  Sæt vinduestitel

`--tn` `terminal`

  Sætter miljø-variablen TERM til den angivne værdi. Læs ``man` `xterm`` for flere oplysninger om TERM.

`--xwin`

  Ignoreret

`--nohist`

  Deaktiverer at linjer bliver gemt som er rullet ud over toppen af vinduet

`--nomenubar`

  Starter &konsole; uden en menulinje

`--notoolbar`

  Starter &konsole; uden en værktøjslinje

`--noframe`

  Starter &konsole; uden en ramme

`--noscrollbar`

  Starter &konsole; uden en rullebjælke

`--noxft`

  Starter &konsole; uden Xft-antialias. Antialias af en lille skrifttype kan være svær at læse.

`--vt_sz` `CCxLL`

  Starter et terminalvindue af CC søjler og LL linjer

`--type` `type`

  Starter en session af den givne type snarere end standarden.

`--workdir` `dir`

  Åbner med `dir` som arbejdsmappe.

`-e` `kommando`

  Udfør `kommando` i stedet for skal.

For eksempel:

    bash$
     konsole --vt_sz
      90x25 --nohist

starter et &konsole;-vindue med 90 søjler og 25 rækker uden historik

&konsole; accepterer også generiske &Qt;- og &kde;-tilvalg:

`--help-qt`

  Liste af Qt-specifikke tilvalg

`--help-kde`

  Liste af KDE-specifikke tilvalg

`--help-all`

  Liste af alle tilvalg

`--author`

  Vis forfatterens navn

`-v,--version`

  Vis versionsnummer

`--license`

  Vis licensinformation

## Medvirkende og ophavsret

&konsole; bliver vedligeholdt af Stephan Binner Stephan.Binner@gmx.de

Programmet &konsole; ophavsret 1997-2000 Lars Doelle lars.doelle@on-line.de

Dette dokument blev skrevet af Jonathan Singer jsinger@leeta.net

Konverteret til DocBook SGML af Michael McBride mmcbride@ematic.com og Lauri Watts lauri@kde.org

Dansk oversættelse ved Erik Kjær Pedersen erik@binghamton.edu

&underFDL; &underGPL;

## &konsole; på ikke-&Linux; platform

Oplysninger om at bygge &konsole; på andre platforme end &Linux; er tilgængelig i `README.ports`-filen i &konsole;'s kildepakke. Den giver en liste af eksperter for bestemte platforme (Tru64, &Solaris;, OpenBSD) og beder om frivillige fra andre udgaver af &UNIX;

&documentation.index;